Debian Bug report logs - #375929
RM: xerces26 -- RoM; superseded by xerces27

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jay Berkenbilt <qjb@debian.org>

Date: Thu, 29 Jun 2006 00:33:09 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, qjb@debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
New Bug report received and forwarded. Copy sent to qjb@debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: xerces26 -- RoM; superseded by xerces27
Date: Wed, 28 Jun 2006 20:02:49 -0400
Package: ftp.debian.org
Severity: normal


Please remove the xerces26 source package and its binary packages:
libxerces26c2, libxerces26-dev, and libxerces26-doc.

At this time, there are no remaining programs in sid that depend upon
xerces26 that couldn't just as easily depend upon xerces27.  Bugs have
been filed against all programs in sid that still depend upon
xerces26.  I will upgrade those bugs to serious and NMU any packages
that aren't fixed when I return from my vacation next week.

Once this package has been removed, we will finally have only one
version of xerces in sid.  Well, that is at least until xerces 3.0
comes out....

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 375929@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 375929@bugs.debian.org, Jay Berkenbilt <qjb@debian.org>
Subject: removal of xerces26
Date: Sat, 15 Jul 2006 02:14:00 +0200
Hi


** ace has an unsatisfied build-dependency: libxerces26-dev

ace still b-d on xerces26 in unstable, and until thats removed - no
removal. :)

-- 
bye Joerg
* HE wants applicants to write about the sex life, to make
  debian-newmaint more interesting



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #15 received at 375929@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>
Cc: 375929@bugs.debian.org
Subject: Re: removal of xerces26
Date: Sat, 15 Jul 2006 10:23:45 -0400
Joerg Jaspert <joerg@ganneff.de> wrote:

> ** ace has an unsatisfied build-dependency: libxerces26-dev
>
> ace still b-d on xerces26 in unstable, and until thats removed - no
> removal. :)

Hmm.  Somehow apt-cache rdepends libxerces26c2 doesn't show any binary
packages based on the ace source package.  How could I have discovered
this build dependency?  I wonder whether ace build depends upon
libxerces26-dev but doesn't generate any binaries that depend upon
libxerces26c2.  Last time I looked, I couldn't find any tool that
could show reverse build dependencies.  Did I miss it?  Thanks.

I'll file a bug against ace asking them update the build dependency to
libxerces27-dev instead.  I had done that with all the reverse
dependencies I knew about already, and they've all been fixed now.  Oh
well.

--Jay

-- 
Jay Berkenbilt <qjb@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #20 received at 375929@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: Jay Berkenbilt <qjb@debian.org>
Cc: 375929@bugs.debian.org
Subject: Re: removal of xerces26
Date: Sat, 15 Jul 2006 17:21:05 +0200
[Message part 1 (text/plain, inline)]
On 10716 March 1977, Jay Berkenbilt wrote:

>> ace still b-d on xerces26 in unstable, and until thats removed - no
>> removal. :)
> Hmm.  Somehow apt-cache rdepends libxerces26c2 doesn't show any binary
> packages based on the ace source package.  How could I have discovered
> this build dependency?  I wonder whether ace build depends upon
> libxerces26-dev but doesn't generate any binaries that depend upon
> libxerces26c2.  Last time I looked, I couldn't find any tool that
> could show reverse build dependencies.  Did I miss it?  Thanks.

Login to merkel, run dak rm -Rn $PACKAGE - that gives you *the* answer
what is needed to fix before something gets removed.

(And yes I know that *atm* merkel is closed due to the linux kernel root
feature fun).

-- 
bye Joerg
Free Beer is such a good thing and Free Speech too. Debian is about the
both.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #25 received at 375929@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 375929@bugs.debian.org
Subject: Re: Bug#375929: removal of xerces26
Date: Sat, 15 Jul 2006 20:04:20 +0200
* Joerg Jaspert (joerg@ganneff.de) [060715 18:17]:
> On 10716 March 1977, Jay Berkenbilt wrote:
> 
> >> ace still b-d on xerces26 in unstable, and until thats removed - no
> >> removal. :)
> > Hmm.  Somehow apt-cache rdepends libxerces26c2 doesn't show any binary
> > packages based on the ace source package.  How could I have discovered
> > this build dependency?  I wonder whether ace build depends upon
> > libxerces26-dev but doesn't generate any binaries that depend upon
> > libxerces26c2.  Last time I looked, I couldn't find any tool that
> > could show reverse build dependencies.  Did I miss it?  Thanks.
> 
> Login to merkel, run dak rm -Rn $PACKAGE - that gives you *the* answer
> what is needed to fix before something gets removed.

(isn't it still melanie on merkel?)

Sometimes, running dak rm -Rns testing $package gives a bit different
answer - both together give a realistic picture usually)


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #30 received at 375929@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: 375929@bugs.debian.org
Cc: Jay Berkenbilt <qjb@debian.org>
Subject: Re: Bug#375929: removal of xerces26
Date: Sat, 15 Jul 2006 20:17:50 +0200
[Message part 1 (text/plain, inline)]
Le sam 15 juillet 2006 17:21, Joerg Jaspert a écrit :
> On 10716 March 1977, Jay Berkenbilt wrote:
> >> ace still b-d on xerces26 in unstable, and until thats removed -
> >> no removal. :)
> >
> > Hmm.  Somehow apt-cache rdepends libxerces26c2 doesn't show any
> > binary packages based on the ace source package.  How could I have
> > discovered this build dependency?  I wonder whether ace build
> > depends upon libxerces26-dev but doesn't generate any binaries that
> > depend upon libxerces26c2.  Last time I looked, I couldn't find any
> > tool that could show reverse build dependencies.  Did I miss it? 
> > Thanks.
>
> Login to merkel, run dak rm -Rn $PACKAGE - that gives you *the*
> answer what is needed to fix before something gets removed.
>
> (And yes I know that *atm* merkel is closed due to the linux kernel
> root feature fun).

grep-dctrl is your friend too:

$ grep-dctrl -sPackage -FBuild-Depends libxerces26-dev < \
    /var/lib/apt/lists/ftp.fr.debian.org_debian_dists_sid_*_source_Sources
Package: ace

says it all
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #35 received at 375929@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Andreas Barth <aba@not.so.argh.org>
Cc: 375929@bugs.debian.org
Subject: Re: Bug#375929: removal of xerces26
Date: Sat, 15 Jul 2006 20:50:05 +0200
[Message part 1 (text/plain, inline)]
On 10716 March 1977, Andreas Barth wrote:

>> Login to merkel, run dak rm -Rn $PACKAGE - that gives you *the* answer
>> what is needed to fix before something gets removed.
> (isn't it still melanie on merkel?)

Maybe, i dont care, i have an alias anyway and stay with melanie. :)

> Sometimes, running dak rm -Rns testing $package gives a bit different
> answer - both together give a realistic picture usually)

Well, only that testing doesnt matter for such removals.

-- 
bye Joerg
"Hätten die Affen, von denen wir angeblich abstammen, geahnt, dass durch
die Evolution eines Tages aus Ihren Reihen Politiker entstehen würden,
wären sie auf Ihren Bäumen geblieben und hätten niemals versucht den
aufrechten Gang zu erlernen."
(J. Sheridan, Babylon5)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#375929; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #40 received at 375929@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: Joerg Jaspert <joerg@ganneff.de>
Cc: 375929@bugs.debian.org
Subject: Re: removal of xerces26
Date: Fri, 21 Jul 2006 19:45:08 -0400
Joerg Jaspert <joerg@ganneff.de> wrote:

> ** ace has an unsatisfied build-dependency: libxerces26-dev
>
> ace still b-d on xerces26 in unstable, and until thats removed - no
> removal. :)

Hello.  I reported this to the ace maintainers in bug 378605.  It
turned out that libxerces26-dev was superfluous, so they just removed
it in their local svn.  The bug is marked "pending", and I have asked
them to please go ahead and do the upload.  I'm going to be away for a
week, but I politely mentioned in 378605 that I would NMU it if the
fix hadn't been uploaded by the time I got back.  Whenever 378605 gets
resolved, I'll post a note to this bug indicating that xerces26 should
be ready to remove.  (Unless it's already done by the time I get back,
of course.)  Thanks.

-- 
Jay Berkenbilt <qjb@debian.org>



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jay Berkenbilt <qjb@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 375929-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 375929-close@bugs.debian.org
Cc: xerces26@packages.debian.org, xerces26@packages.qa.debian.org
Subject: Bug#375929: fixed
Date: Thu, 27 Jul 2006 15:22:29 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libxerces26-dev |    2.6.0-7 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libxerces26-doc |    2.6.0-7 | all
libxerces26c2 |    2.6.0-7 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  xerces26 |    2.6.0-7 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 375929@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:44:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:12:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.